> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure Customer Portal

This endpoint lets you programmatically permission customer emails to the Customer Portal.

### Body

<ParamField body="dashboard_embed_id" type="string">
  This is the embed\_id of the dashboard that will be used in the portal.
</ParamField>

<ParamField body="provided_id" type="string">
  This is the ID you use to identify this customer in your database that you
  provided to explo.
</ParamField>

<ParamField body="emails" type="object">
  This is a list of strings, where each string is an email allowed to
  authenticate in the portal to see the respective dashboard.
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.explo.co/api/configure_customer_portal/' \
  --header 'Content-Type: application/json' \
  --header 'Explo-Authorization: Token <token>' \
  --data-raw '{
      "dashboard_embed_id": "Ab123CdefG",
      "provided_id": "test_id_1",
      "emails": ["apple@explo.co", "orange@explo.co"]
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1
  }
  ```
</ResponseExample>
